Package com.google.gwt.aria.client

## Interface SliderRole

- All Superinterfaces:
    `InputRole`, `RangeRole`, `Role`, `WidgetRole`
  All Known Implementing Classes:
    `SliderRoleImpl`

      public interface SliderRole
      extends InputRole, RangeRole

  A type that represents the slider role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAriaOrientationProperty​(Element element)` | Returns the value of the aria-orientation attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaOrientationProperty​(Element element)` | Removes the aria-orientation attribute from the `element`.
    `void` | `setAriaOrientationProperty​(Element element, OrientationValue value)` | Sets the aria-orientation attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.RangeRole

      `getAriaValuemaxProperty, getAriaValueminProperty, getAriaValuenowProperty, getAriaValuetextProperty, removeAriaValuemaxProperty, removeAriaValueminProperty, removeAriaValuenowProperty, removeAriaValuetextProperty, setAriaValuemaxProperty, setAriaValueminProperty, setAriaValuenowProperty, setAriaValuetextProperty`

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

- - ### Method Detail

    - #### getAriaOrientationProperty

          java.lang.String getAriaOrientationProperty​(Element element)

      Returns the value of the aria-orientation attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaOrientationProperty

          void removeAriaOrientationProperty​(Element element)

      Removes the aria-orientation attribute from the `element`.

    - #### setAriaOrientationProperty

          void setAriaOrientationProperty​(Element element,
                                          OrientationValue value)

      Sets the aria-orientation attribute for the `element` to the given `value`.